Name:           python-iso8601
Version:        1.0.2
Release:        1
Summary:        Simple module to parse ISO 8601 dates
License:        MIT
URL:            https://pypi.org/project/iso8601/
Source:         https://pypi.python.org/packages/source/i/iso8601/iso8601-%{version}.tar.gz

BuildArch:      noarch

%description
This module parses the most common forms of ISO 8601 date strings
(e.g. 2007-01-14T20:34:22+00:00) into datetime objects.

%package -n python3-iso8601
Summary:        Simple module to parse ISO 8601 dates
%{?python_provide:%python_provide python3-iso8601}

BuildRequires:  python3-pytz
BuildRequires:  python3-hypothesis
BuildRequires:  python3-devel python3-setuptools
BuildRequires:  python3-pytest

%description -n python3-iso8601
The package parses the most common forms of ISO 8601 date strings
(e.g. 2007-01-14T20:34:22+00:00) into datetime objects.

%prep
%autosetup -n iso8601-%{version} -p1

%build
%{__python3} setup.py build

%install
%{__python3} setup.py install --skip-build --root %{buildroot}

%check
py.test --verbose iso8601

%files -n python3-iso8601
%doc LICENSE README.rst
%{python3_sitelib}/*

%changelog
* Sun Jul 24 2022 liksh <liks11@chinaunicom.com.cn> - 1.0.2-1
- Upgrade to 1.0.2 for openstack yoga

* Fri Jul 9 2021 huangtianhua <huangtianhua@huawei.com> - 0.1.14-1
- Upgrade to 0.1.14 to support OpenStack-W and enable testing

* Sat Jan 30 2021 bolin-lee <bolin3540@gmail.com> - 0.1.12-1
- Package upgrade

* Wed Oct 21 2020 leiju <leiju4@huawei.com> - 0.1.11-4
- remove python2 subpackage

* Tue Sep 29 2020 liuweibo <liuweibo10@huawei.com> - 0.1.11-3
- Fix Source0

* Wed Nov 13 2019 openEuler Buildteam <buildteam@openeuler.org> - 0.1.11-2
- Package init
